Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

NFS Service not starting after update to 12.0-U6

Icetea58

Junior Member
Joined
Mar 16, 2017
Messages
16
When starting the NFS services i got the following error:

Code:
Error: Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/sqlalchemy/engine/base.py", line 1247, in _execute_context
    self.dialect.do_execute(
  File "/usr/local/lib/python3.9/site-packages/sqlalchemy/engine/default.py", line 590, in do_execute
    cursor.execute(statement, parameters)
sqlite3.OperationalError: no such column: services_nfs.nfs_srv_v4_owner_major

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 138, in call_method
    result = await self.middleware._call(message['method'], serviceobj, methodobj, params, app=self,
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1213, in _call
    return await methodobj(*prepared_call.args)
  File "/usr/local/lib/python3.9/site-packages/middlewared/schema.py", line 975, in nf
    return await f(*args, **kwargs)
  File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/service.py", line 120, in start
    await service_object.start()
  File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/service_/services/base.py", line 78, in start
    return await self._start_freebsd()
  File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/service_/services/nfs.py", line 16, in _start_freebsd
    await self.middleware.call("nfs.setup_v4")
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1256, in call
    return await self._call(
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1224, in _call
    return await self.run_in_executor(prepared_call.executor, methodobj, *prepared_call.args)
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1128, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
  File "/usr/local/lib/python3.9/concurrent/futures/thread.py", line 52, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/nfs_/v4_freebsd.py", line 18, in setup_v4
    config = self.middleware.call_sync("nfs.config")
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1272, in call_sync
    return self.run_coroutine(methodobj(*prepared_call.args))
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1312, in run_coroutine
    return fut.result()
  File "/usr/local/lib/python3.9/concurrent/futures/_base.py", line 438, in result
    return self.__get_result()
  File "/usr/local/lib/python3.9/concurrent/futures/_base.py", line 390, in __get_result
    raise self._exception
  File "/usr/local/lib/python3.9/site-packages/middlewared/schema.py", line 975, in nf
    return await f(*args, **kwargs)
  File "/usr/local/lib/python3.9/site-packages/middlewared/service.py", line 404, in config
    return await self._get_or_insert(
  File "/usr/local/lib/python3.9/site-packages/middlewared/service.py", line 385, in _get_or_insert
    return await self.middleware.call('datastore.config', datastore, options)
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1256, in call
    return await self._call(
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1213, in _call
    return await methodobj(*prepared_call.args)
  File "/usr/local/lib/python3.9/site-packages/middlewared/schema.py", line 975, in nf
    return await f(*args, **kwargs)
  File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/datastore/read.py", line 186, in config
    return await self.query(name, [], options)
  File "/usr/local/lib/python3.9/site-packages/middlewared/schema.py", line 975, in nf
    return await f(*args, **kwargs)
  File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/datastore/read.py", line 157, in query
    result = await self.middleware.call("datastore.fetchall", qs)
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1256, in call
    return await self._call(
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1213, in _call
    return await methodobj(*prepared_call.args)
  File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/datastore/connection.py", line 81, in fetchall
    return await self.middleware.run_in_executor(self.thread_pool, self._fetchall, *args)
  File "/usr/local/lib/python3.9/site-packages/middlewared/main.py", line 1128, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
  File "/usr/local/lib/python3.9/concurrent/futures/thread.py", line 52, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.9/site-packages/middlewared/plugins/datastore/connection.py", line 84, in _fetchall
    cursor = self.connection.execute(query, params or [])
  File "/usr/local/lib/python3.9/site-packages/sqlalchemy/engine/base.py", line 984, in execute
    return meth(self, multiparams, params)
  File "/usr/local/lib/python3.9/site-packages/sqlalchemy/sql/elements.py", line 293, in _execute_on_connection
    return connection._execute_clauseelement(self, multiparams, params)
  File "/usr/local/lib/python3.9/site-packages/sqlalchemy/engine/base.py", line 1097, in _execute_clauseelement
    ret = self._execute_context(
  File "/usr/local/lib/python3.9/site-packages/sqlalchemy/engine/base.py", line 1287, in _execute_context
    self._handle_dbapi_exception(
  File "/usr/local/lib/python3.9/site-packages/sqlalchemy/engine/base.py", line 1481, in _handle_dbapi_exception
    util.raise_(
  File "/usr/local/lib/python3.9/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/usr/local/lib/python3.9/site-packages/sqlalchemy/engine/base.py", line 1247, in _execute_context
    self.dialect.do_execute(
  File "/usr/local/lib/python3.9/site-packages/sqlalchemy/engine/default.py", line 590, in do_execute
    cursor.execute(statement, parameters)
sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) no such column: services_nfs.nfs_srv_v4_owner_major
[SQL: SELECT services_nfs.id, services_nfs.nfs_srv_servers, services_nfs.nfs_srv_udp, services_nfs.nfs_srv_allow_nonroot, services_nfs.nfs_srv_v4, services_nfs.nfs_srv_v4_v3owner, services_nfs.nfs_srv_v4_krb, services_nfs.nfs_srv_bindip, services_nfs.nfs_srv_mountd_port, services_nfs.nfs_srv_rpcstatd_port, services_nfs.nfs_srv_rpclockd_port, services_nfs.nfs_srv_16, services_nfs.nfs_srv_mountd_log, services_nfs.nfs_srv_statd_lockd_log, services_nfs.nfs_srv_v4_domain, services_nfs.nfs_srv_v4_owner_major
FROM services_nfs]
(Background on this error at: http://sqlalche.me/e/e3q8)


Also i don't see the menu on the console after the upgrade to 12.o-U6.

Any idee what's wrong.
 

KrisBee

Neophyte Sage
Joined
Mar 20, 2017
Messages
1,278
Are you using the default IX DARK theme or something else? I wonder if this could be related to theme problems that have been reported elsewhere.
 

Icetea58

Junior Member
Joined
Mar 16, 2017
Messages
16
I'm using the default IX Dark Theme. But i'f it related to the team, i don't know.

Got also problems with the update from U-5 to U-6, there for i'm do a fresh installation and restore the config, to see what he is doing after the install.

I'll let you know if a fresh installation will solve my problems.
 
Top